within ClaRa.Basics;
package Constants
//__________________________________________________________________________//
// Package of the ClaRa library, version: 1.8.1                             //
//                                                                          //
// Licensed by the ClaRa development team under the 3-clause BSD License.   //
// Copyright  2013-2023, ClaRa development team.                            //
//                                                                          //
// The ClaRa development team consists of the following partners:           //
// TLK-Thermo GmbH (Braunschweig, Germany),                                 //
// XRG Simulation GmbH (Hamburg, Germany).                                  //
//__________________________________________________________________________//
// Contents published in ClaRa have been contributed by different authors   //
// and institutions. Please see model documentation for detailed information//
// on original authorship and copyrights.                                   //
//__________________________________________________________________________//


  extends ClaRa.Basics.Icons.PackageIcons.Basics80;

import ClaRa.Basics.Units.*;

//__________________/ chemical Constants \_______________________

// Molar Mass of Carbon
final constant MolarMass M_C = 12.010701e-3;
// Molar Mass of Hydrogen
final constant MolarMass M_H = 1.00794e-3;
// Molar Mass of Oxygen
final constant MolarMass M_O =  15.99940e-3;
// Molar Mass of Oxygen Molecule
final constant MolarMass M_O2 =  32.0e-3;
// Molar Mass of Nitrogen
final constant MolarMass M_N = 14.00670e-3;
// Molar Mass of Sulphur
final constant MolarMass M_S =  32.06500e-3;
// Molar Mass of ASH (first estimation)
final constant MolarMass M_Ash =  60e-3;
// Molar Mass of Water
final constant MolarMass M_H2O =  18.01528e-3;

end Constants;
